# Price list schedulers

Price list schedulers are [market](/core-api-reference/markets.md)-specific and associated with a [price list](/core-api-reference/price_lists.md). You can associate different price list schedulers with the same price list. Price list schedulers set a time frame (from `starts_at` to `expires_at`) within which their price list overrides the associated market's one. Multiple price list schedulers can be associated with a market as long as the price list associated with the price list scheduler and the one originally associated with the market share the same `currency_code` and `tax_included` attributes.

### Price list scheduler status

Newly created price list schedulers are enabled by default. You can disable them by passing the `_disable` trigger attribute and eventually re-enable them by passing the `_enable` trigger attribute. To be considered `active`, a price list scheduler must be enabled and not expired. If more than one of the price list schedulers associated with a market are active at the same time, the one that starts earlier will be considered to define the market's prices. If more than one of the active price list schedulers start at the same time, the one that ends earlier (i.e. that is scheduled to be active for a shorter time window) will be considered to define the market's prices. Price list schedulers with a `starts_at` attribute in the future are marked as `pending`.

{% hint style="warning" %}
For performance reasons, we recommend avoiding too many direct edits on enabled price list schedulers. As a best practice, we suggest disabling the price list scheduler first, making the necessary changes, then re-enabling it.
{% endhint %}

<details>

<summary>Data model</summary>

Check the related [ER diagram](/data-model/pricing-and-markets/price-lists-and-currencies.md) and explore the flowchart that illustrates how the price list scheduler resource relates to the other API entities.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/price_list_schedulers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
